<!DOCTYPE html>
<html>
<head>
    <title>Exportation des fichiers</title>
    <link rel="stylesheet" type="text/css" href="{{ url_for('static', filename='css/style.css') }}">
</head>
<body>
  {% include 'menu.html' %}
    <h1>EXPORTATIONS DES FICHIERS</h1>

    {% with messages = get_flashed_messages(with_categories=true) %}
      {% if messages %}
        {% for category, message in messages %}
          {% if category == 'error' %}
            <div class="error">{{ message }}</div>
          {% elif category == 'success' %}
            <div class="success">{{ message }}</div>
          {% endif %}
        {% endfor %}
      {% endif %}
    {% endwith %}

    <br>
    <form class="my-form" id="form-select" method="POST" enctype="multipart/form-data">
      <select id="select-file" onchange="selectForm()">
        <option value="choice">Quel type de fichier ?</option>
        <option value="adh">ADH</option>
        <option value="euros_players">EUROS PLAYERS</option>
        <option value="evo_jj">EVO JJ</option>
        <option value="theo">THEO</option>
        <option value="marketing">MARKETING</option>
      </select>
    </form>

    <div id="form-adh" style="display: none;">
      <p class="p3">Envoie d'un fichier ADH <br>(uniquement au format xls)</p>
      <form class="my-form" method="POST" action="/upload_adh" enctype="multipart/form-data">
        <input type="file" name="excel_file">
        <br><br><button type="submit">Envoyer</button>
      </form>
    </div>

    <div id="form-euros-players" style="display: none;">
      <p class="p3">Envoie d'un fichier EUROS PLAYERS <br>(uniquement au format xls)</p>
      <form class="my-form" method="POST" action="/upload_euros_players" enctype="multipart/form-data">
        <input type="file" name="excel_file">
        <br><br><button type="submit">Envoyer</button>
      </form>
    </div>

    <div id="form-evo-jj" style="display: none;">
      <p class="p3">Envoie d'un fichier EVO JJ <br>(uniquement au format xls)</p>
      <form class="my-form" method="POST" action="/upload_evo_jj" enctype="multipart/form-data">
        <input type="file" name="excel_file">
        <br><br><button type="submit">Envoyer</button>
      </form>
    </div>

    <div id="form-theo" style="display: none;">
      <p class="p3">Envoie d'un fichier THEO <br>(uniquement au format xls)</p>
      <form class="my-form" method="POST" action="/upload_theo" enctype="multipart/form-data">
        <input type="file" name="excel_file">
        <br><br><button type="submit">Envoyer</button>
      </form>
    </div>

    <div id="form-marketing" style="display: none;">
      <p class="p3">Envoie d'un fichier Marketing : OPERATIONS <br>(uniquement au format xls)</p>
      <form class="my-form" method="POST" action="/upload_marketing" enctype="multipart/form-data">
        <input type="file" name="excel_file">
        <br><br><button type="submit">Envoyer</button>
      </form>
    </div>

    <script>
      function selectForm() {
        var select = document.getElementById("select-file");
        var formAdh = document.getElementById("form-adh");
        var formEurosPlayers = document.getElementById("form-euros-players");
        var formEvoJj = document.getElementById("form-evo-jj");
        var formTheo = document.getElementById("form-theo");
        var formOperations = document.getElementById("form-marketing");

        formAdh.style.display = "none";
        formEurosPlayers.style.display = "none";
        formEvoJj.style.display = "none";
        formTheo.style.display = "none";
        formOperations.style.display = "none";

        if (select.value === "adh") {
          formAdh.style.display = "block";
        } else if (select.value === "euros_players") {
          formEurosPlayers.style.display = "block";
        } else if (select.value === "evo_jj") {
          formEvoJj.style.display = "block";
        } else if (select.value === "theo") {
          formTheo.style.display = "block";
        } else if (select.value === "marketing") {
          formOperations.style.display = "block";
        }
      }
    </script>

    {% include 'footer.html' %}
</body>
</html>
